#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - libcrack installation
#
# Creation   :  2010-03-02 holbru
# Last update:  $Id: postinstall-libcrack.sh 34283 2013-08-15 18:45:27Z hbfl $
#
# Copyright (c) 2010-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set package name
package_name=libcrack

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
lib_names="libcrack.so.2.9.0"

cd /usr/lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done
#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig

cd /usr/sbin

rm -f mkdict
ln -sf cracklib-format mkdict
echo "b 0755 root root ${package_name} usr/sbin/mkdict" \
          >>/etc/filelist.d/${package_name}-files.txt
rm -f packer
ln -sf cracklib-packer packer
echo "b 0755 root root ${package_name} usr/sbin/packer" \
          >>/etc/filelist.d/${package_name}-files.txt

rm -f /usr/lib/librack-so.2.8.1

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
